Bug 587781 - anaconda silently falling back to text mode, vnc mode not advertised
Summary: anaconda silently falling back to text mode, vnc mode not advertised
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Sivák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 20:36 UTC by Pascal Parois
Modified: 2011-06-27 15:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:59:38 UTC
Type: ---


Attachments (Terms of Use)
install log (67.13 KB, text/plain)
2010-05-07 21:46 UTC, Pascal Parois
no flags Details
install syslog (11.02 KB, text/plain)
2010-05-07 21:46 UTC, Pascal Parois
no flags Details
anaconda log (42.45 KB, text/plain)
2010-05-07 21:50 UTC, Pascal Parois
no flags Details
anaconda syslog (58.79 KB, text/plain)
2010-05-07 21:51 UTC, Pascal Parois
no flags Details
anaconda log (text mode) (34.31 KB, text/plain)
2010-05-10 20:59 UTC, Pascal Parois
no flags Details
anaconda syslog (text mode) (34.08 KB, text/plain)
2010-05-10 21:00 UTC, Pascal Parois
no flags Details
install log (text mode) (8.36 KB, text/x-log)
2010-05-10 21:02 UTC, Pascal Parois
no flags Details
install syslog (text mode) (2.52 KB, text/plain)
2010-05-10 21:03 UTC, Pascal Parois
no flags Details
Screenshot of Use VNC question (6.12 KB, image/png)
2010-08-23 12:07 UTC, Martin Sivák
no flags Details

Description Pascal Parois 2010-04-30 20:36:54 UTC
Description of problem:

When I am using the normal mode, I have a white/funny screen (nvidia gtx260) but it is not the concern of this bug.
When I am using the basic video mode, anaconda is falling back to text mode and apparently it should still be the graphical UI whith the vesa driver.

If anaconda is really falling back to something else, a notice to the user should be made.

I have not seen any messages about vnc install.


Version-Release number of selected component (if applicable):

13, beta version

How reproducible:
Always

Steps to Reproduce:
1. boot on dvd media
2. choose basic video driver
  
Actual results:
Text mode.

Expected results:
A warning that vnc is prefered and text mode is minimalist with lots of functions missing.

Comment 1 Martin Sivák 2010-05-04 07:47:59 UTC
If you try to start the installation directly in text mode, does the question pop up?

According to the source, if X fails and anaconda is in kickstart (eg. unattended) mode, then we do not show the question.

Comment 2 Pascal Parois 2010-05-04 19:47:31 UTC
On the boot prompt, I typed: "linux text".
I did not get any warning. I arrived on the window where I can check the media.

Comment 3 Martin Sivák 2010-05-05 06:48:50 UTC
Please attach logs from the installation to this bugzilla. You can find it in /tmp during the install or in /root/ and /var/log/ after the install.

Comment 4 Pascal Parois 2010-05-07 21:46:21 UTC
Created attachment 412452 [details]
install log

Comment 5 Pascal Parois 2010-05-07 21:46:56 UTC
Created attachment 412453 [details]
install syslog

Comment 6 Pascal Parois 2010-05-07 21:50:48 UTC
Created attachment 412454 [details]
anaconda log

Comment 7 Pascal Parois 2010-05-07 21:51:14 UTC
Created attachment 412455 [details]
anaconda syslog

Comment 8 Martin Sivák 2010-05-10 13:26:15 UTC
I see vnc in the list of options passed to anaconda, this doesn't look as a text install log... also media check should be text mode dialog. The vnc question happens after you select inital keyboard, language and install source.

Comment 9 Pascal Parois 2010-05-10 20:57:56 UTC
Yes, of course I completely forgot, I never got any log because I never finished the installation in text mode. How can I get the log without writting anything on the disk? I don't want to break the one already installed. 

I have some log from virtualbox. No message either. See below.

Comment 10 Pascal Parois 2010-05-10 20:59:24 UTC
Created attachment 412967 [details]
anaconda log (text mode)

Comment 11 Pascal Parois 2010-05-10 21:00:05 UTC
Created attachment 412968 [details]
anaconda syslog (text mode)

Comment 12 Pascal Parois 2010-05-10 21:02:47 UTC
Created attachment 412969 [details]
install log (text mode)

Comment 13 Pascal Parois 2010-05-10 21:03:13 UTC
Created attachment 412970 [details]
install syslog (text mode)

Comment 14 Martin Sivák 2010-08-23 12:05:41 UTC
I just cannot reproduce it on the released F13, I will describe what I used:

1/ Boot standard install of F13 with "text" argument added to the boot prompt and repo=http://download.englab.brq.redhat.com/pub/fedora/linux/releases/13/Fedora/x86_64/os argument (triggering netinstall)

eg (we use PXE): /images/Fedora-13_http-x86_64/vmlinuz initrd=/images/Fedora-13_http-x86_64/initrd.img ksdevice=bootif kssendmac  repo=http://download.englab.brq.redhat.com/pub/fedora/linux/releases/13/Fedora/x86_64/os

2/ Choose language (en_US)
3/ Choose keyboard (en)
4/ Disable IPv6 support

Network Manager configures network and anaconda downloads install.img

5/ See the screenshot below..

Are you using any kind of kickstart file? How much memory does your machine have? And are you sure that you have correct version? Because our F13 install images use anaconda 13.42 whereas your log says you have 13.37.2.

Comment 15 Martin Sivák 2010-08-23 12:07:17 UTC
Created attachment 440367 [details]
Screenshot of Use VNC question

Comment 16 Pascal Parois 2010-08-23 12:20:42 UTC
It's the first time I am seeing this screenshot.

I was not using any kickstart file and the computer had 2GB of memory at that time.

I have no idea about the version of fedora I used back then but I can try on the new fedora 14 if the warning still show up.

Comment 17 Bug Zapper 2011-06-02 14:40:33 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2011-06-27 15:59:38 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.